package com.engine.kq.wfset.attendance.domain;

/**
 * 流程表单字段
 * @author wcd
 * @version 1.0 2015-04-24
 */
public class WorkflowBillfield {

	private Integer id;
	private Integer billid;
	private String fieldname;
	private Integer fieldlabel;
	private String labelName;
	private Integer languageid;
	private String fielddbtype;
	private String fieldhtmltype;
	private Integer type;
	private Integer viewtype;
	private String detailtable;
	private String fromuser;
	private Integer textheight;
	private Double dsporder;
	private Integer childfieldid;
	private Integer imgheight;
	private Integer imgwidth;
	private Integer places;
	private String qfws;
	private String textheight2;
	private Integer selectitem;
	private Integer linkfield;
	
	public WorkflowBillfield() {
		this(true);
	}

	public WorkflowBillfield(boolean arg) {
		if(arg) init();
	}

	public void init() {
		this.id = 0;
		this.billid = 0;
		this.fieldname = "";
		this.fieldlabel = 0;
		this.labelName = "";
		this.languageid = 7;
		this.fielddbtype = "";
		this.fieldhtmltype = "";
		this.type = 0;
		this.viewtype = 0;
		this.detailtable = "";
		this.fromuser = "";
		this.textheight = 0;
		this.dsporder = 0.00;
		this.childfieldid = 0;
		this.imgheight = 0;
		this.imgwidth = 0;
		this.places = 0;
		this.qfws = "";
		this.textheight2 = "";
		this.selectitem = 0;
		this.linkfield = 0;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getId() {
		return id;
	}

	public void setBillid(Integer billid) {
		this.billid = billid;
	}

	public Integer getBillid() {
		return billid;
	}

	public void setFieldname(String fieldname) {
		this.fieldname = fieldname;
	}

	public String getFieldname() {
		return fieldname;
	}

	public void setFieldlabel(Integer fieldlabel) {
		this.fieldlabel = fieldlabel;
	}

	public Integer getFieldlabel() {
		return fieldlabel;
	}

	public void setFielddbtype(String fielddbtype) {
		this.fielddbtype = fielddbtype;
	}

	public String getFielddbtype() {
		return fielddbtype;
	}

	public void setFieldhtmltype(String fieldhtmltype) {
		this.fieldhtmltype = fieldhtmltype;
	}

	public String getFieldhtmltype() {
		return fieldhtmltype;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Integer getType() {
		return type;
	}

	public void setViewtype(Integer viewtype) {
		this.viewtype = viewtype;
	}

	public Integer getViewtype() {
		return viewtype;
	}

	public void setDetailtable(String detailtable) {
		this.detailtable = detailtable;
	}

	public String getDetailtable() {
		return detailtable;
	}

	public void setFromuser(String fromuser) {
		this.fromuser = fromuser;
	}

	public String getFromuser() {
		return fromuser;
	}

	public void setTextheight(Integer textheight) {
		this.textheight = textheight;
	}

	public Integer getTextheight() {
		return textheight;
	}

	public void setDsporder(Double dsporder) {
		this.dsporder = dsporder;
	}

	public Double getDsporder() {
		return dsporder;
	}

	public void setChildfieldid(Integer childfieldid) {
		this.childfieldid = childfieldid;
	}

	public Integer getChildfieldid() {
		return childfieldid;
	}

	public void setImgheight(Integer imgheight) {
		this.imgheight = imgheight;
	}

	public Integer getImgheight() {
		return imgheight;
	}

	public void setImgwidth(Integer imgwidth) {
		this.imgwidth = imgwidth;
	}

	public Integer getImgwidth() {
		return imgwidth;
	}

	public void setPlaces(Integer places) {
		this.places = places;
	}

	public Integer getPlaces() {
		return places;
	}

	public void setQfws(String qfws) {
		this.qfws = qfws;
	}

	public String getQfws() {
		return qfws;
	}

	public void setTextheight2(String textheight2) {
		this.textheight2 = textheight2;
	}

	public String getTextheight2() {
		return textheight2;
	}

	public void setSelectitem(Integer selectitem) {
		this.selectitem = selectitem;
	}

	public Integer getSelectitem() {
		return selectitem;
	}

	public void setLinkfield(Integer linkfield) {
		this.linkfield = linkfield;
	}

	public Integer getLinkfield() {
		return linkfield;
	}

	public String getLabelName() {
		return labelName;
	}

	public void setLabelName(String labelName) {
		this.labelName = labelName;
	}

	public Integer getLanguageid() {
		return languageid;
	}

	public void setLanguageid(Integer languageid) {
		this.languageid = languageid;
	}

}
